use minigrep::Config;
use std::env;
use std::error::Error;
use std::process;

fn main() -> Result<(), Box<dyn Error>> {
    let config = Config::new(env::args()).unwrap_or_else(|e| {
        eprintln!("Problem: {}", e);
        process::exit(1);
    });

    if let Err(e) = minigrep::run(config) {
        eprintln!("Problem: {}", e);
        process::exit(1);
    }

    Ok(())
}
